## NAME

v.in.dxf - Converts files in DXF format to GRASS vector map format.

## KEYWORDS

vector, import

## SYNOPSIS

v.in.dxf
v.in.dxf help
v.in.dxf [-etbfli1] input=name [output=name] [layers=string[,string,...]] [--overwrite] [--verbose] [--quiet]

### Flags:

-e
  Ignore the map extent of DXF file
-t
  Do not create attribute tables
-b
  Do not build topology
-f
  Import polyface meshes as 3D wire frame
-l
  List available layers and exit
-i
  Invert selection by layers (don't import layers in list)
-1
  Import all objects into one layer
--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=name
  Name of input DXF file
output=name
  Name for output vector map
layers=string[,string,...]
  List of layers to import

## DESCRIPTION

Standard DXF is imported. The following graphical objects are supported:

- GRASS point type:

- DXF POINT

- GRASS line type:

- DXF LINE
- DXF POLYLINE
- DXF LWPOLYLINE
- DXF ARC
- DXF CIRCLE
- DXF TEXT

- GRASS face type:

- DXF POLYFACE MESHES
- DXF 3DFACE
Capital column names are changed to lowercase characters as for easier SQL usage (lowercase column names avoid the need to quote them if the attribute table is stored in a SQL DBMS such as PostgreSQL).

## REFERENCES

AutoCad DXF (from Wikipedia, the free encyclopedia)

## SEE ALSO

v.out.dxf, Introduction to GRASS vector map processing

## AUTHORS

Original written by Chuck Ehlschlaeger, 6/1989
Revised by Dave Gerdes, 12/1989
US Army Construction Engineering Research Lab

Updated for GRASS 6 and 3D support. Huidae Cho, 3/2006

Last changed: $Date: 2011-11-08 12:29:50 +0100 (út, 08 XI 2011) $

Main index - vector index - Full index

© 2003-2014 GRASS Development Team